MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025749Open CASCADE[OCCT] OCCT:Codingpublic2015-01-26 11:282017-07-27 09:43
Reporterski 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0025749: Coding, HLRBRep - Eliminate GCC warning -Wswitch in Android build
DescriptionIt is necessary to eliminate GCC warning -Wswitch in file HLRBRep_Curve.cxx:

HLRBRep_Curve.cxx: In member function 'Standard_Real HLRBRep_Curve::Parameter2d(Standard_Real) const':
HLRBRep_Curve.cxx:62:10: warning: enumeration value 'GeomAbs_Circle' not handled in switch [-Wswitch]
   switch (myType)
HLRBRep_Curve.cxx:62:10: warning: enumeration value 'GeomAbs_Hyperbola' not handled in switch [-Wswitch]
HLRBRep_Curve.cxx:62:10: warning: enumeration value 'GeomAbs_Parabola' not handled in switch [-Wswitch]
HLRBRep_Curve.cxx:62:10: warning: enumeration value 'GeomAbs_BezierCurve' not handled in switch [-Wswitch]
HLRBRep_Curve.cxx:62:10: warning: enumeration value 'GeomAbs_BSplineCurve' not handled in switch [-Wswitch]
HLRBRep_Curve.cxx:62:10: warning: enumeration value 'GeomAbs_OtherCurve' not handled in switch [-Wswitch]

It seems that GeomAbs_Circle should be handled like GeomAbs_Ellipse.
Steps To ReproduceNo test.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0025734closedbugmaster Open CASCADE GCC warnings in Android build 

-  Notes
(0036641)
abv (manager)
2015-01-26 12:42

Julia, could you please check the reported issue and suggest how it should be corrected?
(0037870)
git (administrator)
2015-02-25 16:01

Branch CR25749 has been created by jgv.

SHA-1: 2714656ef1ea0c9173f2d72cdb976ba1cf6d9d70


Detailed log of new commits:

Author: jgv
Date: Wed Feb 25 16:00:57 2015 +0300

    0025749: Eliminate GCC warning -Wswitch in Android build
(0037871)
jgv (developer)
2015-02-25 16:03

Please review the branch CR25749.
(0037875)
abv (manager)
2015-02-25 16:38

The goal is not to suppress the warning but to ensure that the code is correct, and this seems no be not resolved: by the code, it seems that circles are possible in HLR, but it is not clear if they are handled properly at the place where warning is generated.
(0049701)
abv (manager)
2016-01-06 13:55

Note that warning has been silenced by patch for 0026254, however the reported values are still not explicitly handles in switch

- Issue History
Date Modified Username Field Change
2015-01-26 11:28 ski New Issue
2015-01-26 11:28 ski Assigned To => abv
2015-01-26 12:40 abv Relationship added related to 0025734
2015-01-26 12:42 abv Note Added: 0036641
2015-01-26 12:42 abv Assigned To abv => jgv
2015-01-26 12:42 abv Status new => assigned
2015-02-25 16:01 git Note Added: 0037870
2015-02-25 16:03 jgv Note Added: 0037871
2015-02-25 16:03 jgv Assigned To jgv => kgv
2015-02-25 16:03 jgv Status assigned => resolved
2015-02-25 16:03 jgv Steps to Reproduce Updated View Revisions
2015-02-25 16:38 abv Note Added: 0037875
2015-02-25 16:38 abv Assigned To kgv => abv
2015-02-25 16:38 abv Status resolved => assigned
2015-04-19 19:13 abv Target Version => 7.1.0
2015-09-25 00:46 abv Relationship added related to 0026236
2015-09-25 19:50 abv Summary Eliminate GCC warning -Wswitch in Android build => Coding, HLRBRep - Eliminate GCC warning -Wswitch in Android build
2016-01-06 13:55 abv Note Added: 0049701
2016-11-03 17:21 abv Target Version 7.1.0 => 7.2.0
2017-07-27 09:43 abv Target Version 7.2.0 => 7.4.0*


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker